// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/application": {
            "get": {
                "description": "所有应用列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用"
                ],
                "summary": "所有应用列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/area/province_city_area": {
            "get": {
                "description": "省市区列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "区域"
                ],
                "summary": "省市区列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProvinceCityAreaResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/area/street_committee": {
            "get": {
                "description": "街道社区列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "区域"
                ],
                "summary": "街道社区列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "区域代码",
                        "name": "area_code",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StreetCommitteeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company": {
            "get": {
                "description": "获取公司信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "获取公司信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更改公司信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "更改公司信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "注册信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "注册公司",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "注册公司",
                "parameters": [
                    {
                        "description": "注册信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyRegisterBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyRegisterResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/garden_mch": {
            "get": {
                "description": "获取小区支付商户号和支付类型信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "获取小区支付商户号和支付类型信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "商户号 非必填",
                        "name": "mch_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyMchGardenListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "设置小区支付商户号",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "设置小区支付商户号",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GardenSetMchBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenSetMchResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/garden_paymode": {
            "put": {
                "description": "设置小区线上支付类型",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "设置小区线上支付类型",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GardenSetMchPayModeBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenSetMchPayModeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/template": {
            "get": {
                "description": "获取静态文件url",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "获取静态文件url",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "1 业务办理授权函 2 银行对照表 3 省市区编码对照表",
                        "name": "template_type",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TemplateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/wx_account": {
            "get": {
                "description": "微信商户申请记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "微信商户申请记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyWxAccountListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "微信商户资料提交",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "微信商户资料提交",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyWxAccountApplyBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyWxAccountApplyResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/wx_account_info": {
            "get": {
                "description": "微信商户申请资料详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "微信商户申请资料详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "申请记录id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyWxAccountApplyInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company_user": {
            "get": {
                "description": "用户列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户管理"
                ],
                "summary": "用户列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyUserListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更改用户",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户管理"
                ],
                "summary": "更改用户",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "用户信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyUserUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyUserUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加用户",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户管理"
                ],
                "summary": "添加用户",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "用户信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyUserAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyUserAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除用户",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户管理"
                ],
                "summary": "删除用户",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyUserDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden": {
            "get": {
                "description": "小区列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "description": "true 待审批或审批未通过的数据 false 审批通过的数据 ",
                        "name": "not_approved",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyGardenListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改小区",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "修改小区",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "小区信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyGardenUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyGardenUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "新增小区",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "新增小区",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "小区信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyAddGardenBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyAddGardenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除小区",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "删除小区",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyGardenDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/check": {
            "get": {
                "description": "判断是否可以添加小区",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "判断是否可以添加小区",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyCanAddGardenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/entry": {
            "get": {
                "description": "小区入口",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区入口",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyEnterGardenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/key_info": {
            "get": {
                "description": "小区关键信息申请列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区关键信息申请列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过率 1 待审核 2 审核通过 3 未通过 ",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenKeyInfoChangeListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "申请修改小区关键信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "申请修改小区关键信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "小区信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GardenKeyInfoChangeBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenKeyInfoChangeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/order/package": {
            "get": {
                "description": "公司已购套餐订单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "已购套餐"
                ],
                "summary": "公司已购套餐订单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过滤,1待认证 2 已通过 3 未通过",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyPackageListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "新增套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司套餐"
                ],
                "summary": "新增套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/order/package_for_garden": {
            "get": {
                "description": "创建小区时获取可用的套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "已购套餐"
                ],
                "summary": "创建小区时获取可用的套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyPackageListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/order/renew": {
            "post": {
                "description": "套餐续费",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司套餐"
                ],
                "summary": "套餐续费",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAddRenewBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAddRenewResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/package": {
            "get": {
                "description": "套餐列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐"
                ],
                "summary": "套餐列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过滤,1已发布的 2 未发布的",
                        "name": "enable",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/statistic": {
            "get": {
                "description": "统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "首页"
                ],
                "summary": "统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/token_refresh": {
            "put": {
                "description": "刷新token",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "刷新token",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TokenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/upload": {
            "post": {
                "description": "上传文件",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "upload"
                ],
                "summary": "上传文件",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UploadResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/upload_wx": {
            "post": {
                "description": "上传文件",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "upload"
                ],
                "summary": "上传文件",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UploadWxResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/change_password": {
            "put": {
                "description": "修改密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改密码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChangePasswordBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChangePasswordResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/login": {
            "post": {
                "description": "登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "登录",
                "parameters": [
                    {
                        "description": "登录信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/login_by_phone": {
            "post": {
                "description": "手机号登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "手机号登录",
                "parameters": [
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginByPhoneBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginByPhoneResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/reset_password": {
            "put": {
                "description": "忘记密码重置密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "忘记密码重置密码",
                "parameters": [
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ResetPasswordBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ResetPasswordResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/vcode": {
            "get": {
                "description": "获取短信验证码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "获取短信验证码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "phone",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GetVcodeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "base.HTTPError": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer",
                    "format": "int",
                    "example": 500
                },
                "message": {
                    "type": "string",
                    "example": "status bad request"
                }
            }
        },
        "v1.ApplicationItem": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "icon": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                }
            }
        },
        "v1.ApplicationListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ApplicationItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ApplicationListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ApplicationListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AreaData": {
            "type": "object",
            "properties": {
                "city_code": {
                    "type": "string"
                },
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                }
            }
        },
        "v1.ChangePasswordBody": {
            "type": "object",
            "properties": {
                "new_password": {
                    "type": "string"
                },
                "old_password": {
                    "type": "string"
                }
            }
        },
        "v1.ChangePasswordResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CityData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                }
            }
        },
        "v1.CommitteeData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyAddGardenBody": {
            "type": "object",
            "properties": {
                "appendix": {
                    "description": "证明材料",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "area": {
                    "description": "区",
                    "type": "string"
                },
                "area_code": {
                    "type": "string"
                },
                "area_percent": {
                    "description": "容积率",
                    "type": "number"
                },
                "avg_price": {
                    "type": "integer"
                },
                "building_area": {
                    "description": "建筑面积",
                    "type": "number"
                },
                "building_company": {
                    "description": "开发企业",
                    "type": "string"
                },
                "building_end": {
                    "description": "建成年份结束时间戳",
                    "type": "integer"
                },
                "building_start": {
                    "description": "建成年份开始时间戳",
                    "type": "integer"
                },
                "building_type": {
                    "description": "1塔楼 2 板楼 3 塔板结合 4 其他",
                    "type": "integer"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "city_code": {
                    "type": "string"
                },
                "committee": {
                    "description": "社区",
                    "type": "string"
                },
                "committee_code": {
                    "type": "string"
                },
                "covered_area": {
                    "description": "占地面积",
                    "type": "number"
                },
                "electric_type": {
                    "description": "电费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "garden_addr": {
                    "description": "小区地址",
                    "type": "string"
                },
                "garden_desc": {
                    "description": "小区描述",
                    "type": "string"
                },
                "garden_name": {
                    "description": "小区名字",
                    "type": "string"
                },
                "garden_pic": {
                    "description": "小区形象图片",
                    "type": "string"
                },
                "garden_pics": {
                    "description": "小区图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "gas_fee_end": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "gas_fee_start": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "green_percent": {
                    "description": "绿化率",
                    "type": "number"
                },
                "house_total": {
                    "description": "总户数",
                    "type": "integer"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "lnt": {
                    "description": "经度",
                    "type": "number"
                },
                "order_id": {
                    "description": "套餐订单id",
                    "type": "integer"
                },
                "property_fee_end": {
                    "description": "物业费结束， 单位分",
                    "type": "integer"
                },
                "property_fee_start": {
                    "description": "物业费开始，单位分",
                    "type": "integer"
                },
                "property_person": {
                    "description": "物业联系人",
                    "type": "string"
                },
                "property_phone": {
                    "description": "物业联系人手机号",
                    "type": "string"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                },
                "space_info": {
                    "description": "车位配比",
                    "type": "string"
                },
                "space_total": {
                    "description": "固定车位数",
                    "type": "integer"
                },
                "street": {
                    "description": "街道",
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                },
                "water_type": {
                    "description": "水费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "v1.CompanyAddGardenReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyAddGardenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyAddGardenReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyCanAddGardenReply": {
            "type": "object",
            "properties": {
                "can_add": {
                    "type": "boolean"
                }
            }
        },
        "v1.CompanyCanAddGardenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyCanAddGardenReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyEnterGardenData": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyEnterGardenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyEnterGardenData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyGardenDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyGardenListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyGardenUpdateBody": {
            "type": "object",
            "properties": {
                "area_percent": {
                    "description": "容积率",
                    "type": "number"
                },
                "avg_price": {
                    "type": "integer"
                },
                "building_area": {
                    "description": "建筑面积",
                    "type": "number"
                },
                "building_company": {
                    "description": "开发企业",
                    "type": "string"
                },
                "building_end": {
                    "description": "建成年份结束时间戳",
                    "type": "integer"
                },
                "building_start": {
                    "description": "建成年份开始时间戳",
                    "type": "integer"
                },
                "building_type": {
                    "description": "1塔楼 2 板楼 3 塔板结合 4 其他",
                    "type": "integer"
                },
                "covered_area": {
                    "description": "占地面积",
                    "type": "number"
                },
                "electric_type": {
                    "description": "电费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "garden_addr": {
                    "description": "省\nProvince     string ` + "`" + `form:\"province\" json:\"province\"` + "`" + `\nProvinceCode string ` + "`" + `form:\"province_code\" json:\"province_code\"` + "`" + `\n市\nCity     string ` + "`" + `form:\"city\" json:\"city\"` + "`" + `\nCityCode string ` + "`" + `form:\"city_code\" json:\"city_code\"` + "`" + `\n区\nArea     string ` + "`" + `form:\"area\" json:\"area\"` + "`" + `\nAreaCode string ` + "`" + `form:\"area_code\" json:\"area_code\"` + "`" + `\n街道\nStreet     string ` + "`" + `form:\"street\" json:\"street\"` + "`" + `\nStreetCode string ` + "`" + `form:\"street_code\" json:\"street_code\"` + "`" + `\n社区\nCommittee     string ` + "`" + `form:\"committee\" json:\"committee\"` + "`" + `\nCommitteeCode string ` + "`" + `form:\"committee_code\" json:\"committee_code\"` + "`" + `\n小区名字\nGardenName string ` + "`" + `form:\"garden_name\" json:\"garden_name\"` + "`" + `\n小区地址",
                    "type": "string"
                },
                "garden_desc": {
                    "description": "小区描述",
                    "type": "string"
                },
                "garden_pic": {
                    "description": "小区形象图片",
                    "type": "string"
                },
                "garden_pics": {
                    "description": "小区图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "gas_fee_end": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "gas_fee_start": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "green_percent": {
                    "description": "绿化率",
                    "type": "number"
                },
                "house_total": {
                    "description": "总户数",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "lnt": {
                    "description": "经度",
                    "type": "number"
                },
                "property_fee_end": {
                    "description": "物业费结束， 单位分",
                    "type": "integer"
                },
                "property_fee_start": {
                    "description": "物业费开始，单位分",
                    "type": "integer"
                },
                "property_person": {
                    "description": "物业联系人",
                    "type": "string"
                },
                "property_phone": {
                    "description": "物业联系人手机号",
                    "type": "string"
                },
                "space_info": {
                    "description": "车位配比",
                    "type": "string"
                },
                "space_total": {
                    "description": "固定车位数",
                    "type": "integer"
                },
                "water_type": {
                    "description": "水费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "v1.CompanyGardenUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyInfoReply": {
            "type": "object",
            "properties": {
                "applicant": {
                    "description": "申请人",
                    "type": "string"
                },
                "applicant_duty": {
                    "description": "申请人职位",
                    "type": "string"
                },
                "applicant_identification": {
                    "description": "申请人身份",
                    "type": "string"
                },
                "applicant_phone": {
                    "description": "申请人电话",
                    "type": "string"
                },
                "approve_status": {
                    "description": "审核状态",
                    "type": "integer"
                },
                "approved_at": {
                    "description": "审批时间",
                    "type": "string"
                },
                "business_license": {
                    "description": "营业执照",
                    "type": "string"
                },
                "company_addr": {
                    "description": "公司地址",
                    "type": "string"
                },
                "company_name": {
                    "description": "公司名称",
                    "type": "string"
                },
                "company_phone": {
                    "description": "公司电话",
                    "type": "string"
                },
                "created_at": {
                    "description": "申请时间",
                    "type": "string"
                },
                "desc": {
                    "description": "简介",
                    "type": "string"
                },
                "expire": {
                    "description": "小区有效天数",
                    "type": "integer"
                },
                "free_garden_count": {
                    "description": "免费小区个数",
                    "type": "integer"
                },
                "garden_count": {
                    "description": "已有小区个数",
                    "type": "integer"
                },
                "legal_person": {
                    "description": "法人",
                    "type": "string"
                },
                "license_type": {
                    "description": "营业执照类型",
                    "type": "integer"
                },
                "logo": {
                    "description": "公司logo",
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "site": {
                    "description": "网址",
                    "type": "string"
                },
                "social_code": {
                    "description": "社会信用码",
                    "type": "string"
                },
                "username": {
                    "description": "账户名",
                    "type": "string"
                }
            }
        },
        "v1.CompanyInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyMchGardenItem": {
            "type": "object",
            "properties": {
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "mch_id": {
                    "type": "string"
                },
                "pay_mode": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyMchGardenListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyMchGardenItem"
                    }
                }
            }
        },
        "v1.CompanyMchGardenListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyMchGardenListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyPackageApplicationItem": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "icon": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyPackageItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "总价",
                    "type": "integer"
                },
                "application_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyPackageApplicationItem"
                    }
                },
                "cid": {
                    "type": "integer"
                },
                "company_name": {
                    "type": "string"
                },
                "created_at": {
                    "type": "integer"
                },
                "desc": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "expire_at": {
                    "type": "integer"
                },
                "feedback": {
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "order_id": {
                    "type": "integer"
                },
                "package_id": {
                    "type": "integer"
                },
                "pay_type": {
                    "description": "1 对公转帐",
                    "type": "integer"
                },
                "period": {
                    "description": "周期",
                    "type": "integer"
                },
                "price": {
                    "description": "套餐价格",
                    "type": "integer"
                },
                "status": {
                    "description": "1 待审批 2 通过 3 未通过",
                    "type": "integer"
                }
            }
        },
        "v1.CompanyPackageListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyPackageItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyPackageListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyPackageListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyRegisterBody": {
            "type": "object",
            "properties": {
                "applicant": {
                    "description": "申请人",
                    "type": "string"
                },
                "applicant_duty": {
                    "description": "申请人职位",
                    "type": "string"
                },
                "applicant_identification": {
                    "description": "申请人身份",
                    "type": "string"
                },
                "applicant_phone": {
                    "description": "申请人电话",
                    "type": "string"
                },
                "business_license": {
                    "description": "营业执照",
                    "type": "string"
                },
                "company_addr": {
                    "description": "公司地址",
                    "type": "string"
                },
                "company_name": {
                    "description": "公司名称",
                    "type": "string"
                },
                "company_phone": {
                    "description": "公司电话",
                    "type": "string"
                },
                "desc": {
                    "description": "简介",
                    "type": "string"
                },
                "free_garden_count": {
                    "description": "免费小区个数",
                    "type": "integer"
                },
                "legal_person": {
                    "description": "法人",
                    "type": "string"
                },
                "license_type": {
                    "description": "营业执照类型",
                    "type": "integer"
                },
                "logo": {
                    "description": "公司logo",
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "site": {
                    "description": "网址",
                    "type": "string"
                },
                "social_code": {
                    "description": "社会信用码",
                    "type": "string"
                },
                "username": {
                    "description": "账户名",
                    "type": "string"
                }
            }
        },
        "v1.CompanyRegisterResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RegisterReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyStatisticReply": {
            "type": "object",
            "properties": {
                "deal_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.DealItem"
                    }
                },
                "garden_count": {
                    "description": "小区数",
                    "type": "integer"
                },
                "house_count": {
                    "description": "房屋数",
                    "type": "integer"
                },
                "space_count": {
                    "description": "车位数",
                    "type": "integer"
                },
                "user_count": {
                    "description": "住户数",
                    "type": "integer"
                }
            }
        },
        "v1.CompanyStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyStatisticReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyUpdateBody": {
            "type": "object",
            "properties": {
                "business_license": {
                    "description": "营业执照",
                    "type": "string"
                },
                "company_addr": {
                    "description": "公司地址",
                    "type": "string"
                },
                "company_name": {
                    "description": "公司名称",
                    "type": "string"
                },
                "company_phone": {
                    "description": "公司电话",
                    "type": "string"
                },
                "desc": {
                    "description": "简介",
                    "type": "string"
                },
                "license_type": {
                    "description": "营业执照类型",
                    "type": "integer"
                },
                "logo": {
                    "description": "公司logo",
                    "type": "string"
                },
                "site": {
                    "description": "网址",
                    "type": "string"
                },
                "social_code": {
                    "description": "社会信用码",
                    "type": "string"
                }
            }
        },
        "v1.CompanyUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyUserAddBody": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "real_name": {
                    "type": "string"
                },
                "user_name": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyUserAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyUserAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyUserAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyUserDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyUserItem": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "integer"
                },
                "email": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "real_name": {
                    "type": "string"
                },
                "super": {
                    "type": "boolean"
                },
                "user_name": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyUserListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyUserItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyUserListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyUserListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyUserUpdateBody": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "real_name": {
                    "type": "string"
                },
                "user_name": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyUserUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyWxAccountApplyBody": {
            "type": "object",
            "properties": {
                "bank_account_info": {
                    "description": "银行账号资料 必填",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxBankAccountInfo"
                },
                "business_info": {
                    "description": "经营资料 必填",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxBusinessInfo"
                },
                "contact_info": {
                    "description": "超管员资料 必填",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxContactInfo"
                },
                "subject_info": {
                    "description": "主体资料 必填",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxSubjectInfo"
                }
            }
        },
        "v1.CompanyWxAccountApplyInfoReply": {
            "type": "object",
            "properties": {
                "bank_account_info": {
                    "description": "银行账号资料",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxBankAccountInfo"
                },
                "business_info": {
                    "description": "经营资料",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxBusinessInfo"
                },
                "contact_info": {
                    "description": "超管员资料",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxContactInfo"
                },
                "id": {
                    "type": "integer"
                },
                "subject_info": {
                    "description": "主体资料",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxSubjectInfo"
                }
            }
        },
        "v1.CompanyWxAccountApplyInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxAccountApplyInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyWxAccountApplyListItem": {
            "type": "object",
            "properties": {
                "business_code": {
                    "description": "单号",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "mch_id": {
                    "description": "商户号（申请审批成功才会有）",
                    "type": "string"
                },
                "merchant_name": {
                    "description": "申请的商户名称",
                    "type": "string"
                },
                "reason": {
                    "description": "驳回原因",
                    "type": "string"
                },
                "sign_url": {
                    "description": "二维码",
                    "type": "string"
                },
                "state": {
                    "description": "1、APPLYMENT_STATE_EDITTING（编辑中）：提交申请发生错误导致，请尝试重新提交。\n2、APPLYMENT_STATE_AUDITING（审核中）：申请单正在审核中，超级管理员用微信打开“签约链接”，完成绑定微信号后，申请单进度将通过微信公众号通知超级管理员，引导完成后续步骤。\n3、APPLYMENT_STATE_REJECTED（已驳回）：请按照驳回原因修改申请资料，超级管理员用微信打开“签约链接”，完成绑定微信号，后续申请单进度将通过微信公众号通知超级管理员。\n4、APPLYMENT_STATE_TO_BE_CONFIRMED（待账户验证）：请超级管理员使用微信打开返回的“签约链接”，根据页面指引完成账户验证。\n5、APPLYMENT_STATE_TO_BE_SIGNED（待签约）：请超级管理员使用微信打开返回的“签约链接”，根据页面指引完成签约。\n6、APPLYMENT_STATE_SIGNING（开通权限中）：系统开通相关权限中，请耐心等待。\n7、APPLYMENT_STATE_FINISHED（已完成）：商户入驻申请已完成。\n8、APPLYMENT_STATE_CANCELED（已作废）：申请单已被撤销。",
                    "type": "string"
                },
                "state_msg": {
                    "description": "状态描述",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxAccountApplyListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyWxAccountApplyListItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyWxAccountApplyResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyWxAccountListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxAccountApplyListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyWxBankAccountInfo": {
            "type": "object",
            "properties": {
                "account_bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "account_name": {
                    "description": "开户姓名, 开户名称必须与营业执照/登记证书的“商户名称”一致",
                    "type": "string"
                },
                "account_number": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_account_type": {
                    "type": "string"
                },
                "bank_address_code": {
                    "description": "开户银行省市编码",
                    "type": "string"
                },
                "bank_branch_id": {
                    "description": "开户银行联行号\n1、17家直连银行无需填写，如为其他银行，则开户银行全称（含支行）和开户银行联行号二选一。\n2、详细参见开户银行全称（含支行）对照表。\n示例值：402713354941",
                    "type": "string"
                },
                "bank_name": {
                    "description": "开户银行全称（含支行）\n1、17家直连银行无需填写，如为其他银行，则开户银行全称（含支行）和 开户银行联行号二选一。\n2、需填写银行全称，如\"深圳农村商业银行XXX支行\"，详细参见开户银行全称（含支行）对照表。\n示例值：施秉县农村信用合作联社城关信用社",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxBusinessInfo": {
            "type": "object",
            "properties": {
                "merchant_shortname": {
                    "description": "1、请输入2-30个字符，支持中文/字母/数字/特殊符号\n2、在支付完成页向买家展示，需与微信经营类目相关；\n3、简称要求\n (1）不支持单纯以人名来命名，若为个体户经营，可用“个体户+经营者名称”或“经营者名称+业务”命名，如“个体户张三”或“张三餐饮店”；\n（2）不支持无实际意义的文案，如“XX特约商户”、“800”、“XX客服电话XXX”",
                    "type": "string"
                },
                "service_phone": {
                    "description": "客服电话",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxBusinessLicenseInfo": {
            "type": "object",
            "properties": {
                "legal_person": {
                    "description": "法人姓名",
                    "type": "string"
                },
                "license_address": {
                    "type": "string"
                },
                "license_copy": {
                    "description": "营业执照图片",
                    "type": "string"
                },
                "license_copy_url": {
                    "description": "营业执照图片",
                    "type": "string"
                },
                "license_number": {
                    "description": "统一社会信用码",
                    "type": "string"
                },
                "merchant_name": {
                    "description": "营业执照上的商户名称",
                    "type": "string"
                },
                "period_begin": {
                    "type": "string"
                },
                "period_end": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxCertificateInfo": {
            "type": "object",
            "properties": {
                "cert_copy": {
                    "description": "证书图片id",
                    "type": "string"
                },
                "cert_number": {
                    "description": "证书号",
                    "type": "string"
                },
                "cert_type": {
                    "description": "当主体为事业单位时，选择此枚举值：\nCERTIFICATE_TYPE_2388：事业单位法人证书\n\n当主体为政府机关，选择此枚举值：\nCERTIFICATE_TYPE_2389：统一社会信用代码证书\n\n当主体为社会组织，选择以下枚举值之一：\nCERTIFICATE_TYPE_2389：统一社会信用代码证书\nCERTIFICATE_TYPE_2394：社会团体法人登记证书\nCERTIFICATE_TYPE_2395：民办非企业单位登记证书\nCERTIFICATE_TYPE_2396：基金会法人登记证书\nCERTIFICATE_TYPE_2397：慈善组织公开募捐资格证书(已废弃)\nCERTIFICATE_TYPE_2398：农民专业合作社法人营业执照(已废弃)\nCERTIFICATE_TYPE_2520：执业许可证/执业证\nCERTIFICATE_TYPE_2521：基层群众性自治组织特别法人统一社会信用代码证\nCERTIFICATE_TYPE_2522：农村集体经济组织登记证\nCERTIFICATE_TYPE_2399：宗教活动场所登记证\nCERTIFICATE_TYPE_2400：政府部门下发的其他有效证明文件",
                    "type": "string"
                },
                "company_address": {
                    "description": "证书上的注册地址",
                    "type": "string"
                },
                "legal_person": {
                    "description": "证书上的法人",
                    "type": "string"
                },
                "merchant_name": {
                    "description": "商户名称",
                    "type": "string"
                },
                "period_begin": {
                    "description": "证书开始时间 2006-01-02",
                    "type": "string"
                },
                "period_end": {
                    "description": "证书结束时间2006-01-02,若为长期则填长期",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxContactInfo": {
            "type": "object",
            "properties": {
                "business_authorization_letter": {
                    "description": "授权函（当为经办人时才填）",
                    "type": "string"
                },
                "business_authorization_letter_url": {
                    "description": "授权函（当为经办人时才填）",
                    "type": "string"
                },
                "contact_email": {
                    "description": "联系人邮箱（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_copy": {
                    "description": "证件正面图片id（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_copy_back": {
                    "description": "证件背面图片id（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_copy_back_url": {
                    "description": "证件背面图片id（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_copy_url": {
                    "description": "证件正面图片id（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_type": {
                    "description": "联系人证件类型（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_number": {
                    "description": "证件号（当为经办人时才填）",
                    "type": "string"
                },
                "contact_name": {
                    "description": "联系人姓名",
                    "type": "string"
                },
                "contact_period_begin": {
                    "description": "证件开始时间（当为经办人时才填）",
                    "type": "string"
                },
                "contact_period_end": {
                    "description": "证件结束时间（当为经办人时才填）",
                    "type": "string"
                },
                "contact_type": {
                    "description": "LEGAL：经营者/法人，SUPER：经办人 。",
                    "type": "string"
                },
                "mobile_phone": {
                    "description": "联系人电话（当为经办人时才填）",
                    "type": "string"
                },
                "openid": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxIdDocInfo": {
            "type": "object",
            "properties": {
                "doc_period_begin": {
                    "description": "开始时间",
                    "type": "string"
                },
                "doc_period_end": {
                    "description": "结束时间",
                    "type": "string"
                },
                "id_doc_address": {
                    "type": "string"
                },
                "id_doc_copy": {
                    "description": "证件图片",
                    "type": "string"
                },
                "id_doc_copy_back": {
                    "type": "string"
                },
                "id_doc_copy_back_url": {
                    "type": "string"
                },
                "id_doc_copy_url": {
                    "description": "证件图片url",
                    "type": "string"
                },
                "id_doc_name": {
                    "description": "证件姓名",
                    "type": "string"
                },
                "id_doc_number": {
                    "description": "证件号",
                    "type": "string"
                },
                "id_doc_type": {
                    "description": "IDENTIFICATION_TYPE_IDCARD：中国大陆居民-身份证\nIDENTIFICATION_TYPE_OVERSEA_PASSPORT：其他国家或地区居民-护照\nIDENTIFICATION_TYPE_HONGKONG_PASSPORT：中国香港居民-来往内地通行证\nIDENTIFICATION_TYPE_MACAO_PASSPORT：中国澳门居民-来往内地通行证\nIDENTIFICATION_TYPE_TAIWAN_PASSPORT：中国台湾居民-来往大陆通行证",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxIdentityInfo": {
            "type": "object",
            "properties": {
                "authorize_letter_copy": {
                    "description": "法定代表人说明函图片id\n1、当证件持有人类型为经办人时，必须上传。其他情况，无需上传。\n2、若因特殊情况，无法提供法定代表人证件时，请参照示例图打印法定代表人说明函，全部信息需打印，不支持手写商户信息，并加盖公章。\n3、可上传1张图片，请填写通过图片上传APIAPI预先上传图片生成好的MediaID。",
                    "type": "string"
                },
                "authorize_letter_copy_url": {
                    "type": "string"
                },
                "id_doc_info": {
                    "description": "证件信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxIdDocInfo"
                },
                "id_holder_type": {
                    "description": "1. 主体类型为政府机关、事业单位时选传：\n（1）若上传的是法人证件，则不需要上传该字段\n（2）若因特殊情况，无法提供法人证件时，可上传经办人。 （经办人：经商户授权办理微信支付业务的人员，授权范围包括但不限于签约，入驻过程需完成账户验证）。",
                    "type": "string"
                },
                "owner": {
                    "description": "法人是否为最终受益人",
                    "type": "boolean"
                }
            }
        },
        "v1.CompanyWxSubjectInfo": {
            "type": "object",
            "properties": {
                "business_license_info": {
                    "description": "营业执照信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxBusinessLicenseInfo"
                },
                "cert_info": {
                    "description": "主体为政府机关/事业单位/其他组织时，必填。",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxCertificateInfo"
                },
                "identity_info": {
                    "description": "法人身份信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxIdentityInfo"
                },
                "subject_type": {
                    "description": "主体类型需与营业执照/登记证书上一致，可参考选择主体指引\nSUBJECT_TYPE_INDIVIDUAL（个体户）：营业执照上的主体类型一般为个体户、个体工商户、个体经营；\nSUBJECT_TYPE_ENTERPRISE（企业）：营业执照上的主体类型一般为有限公司、有限责任公司；\nSUBJECT_TYPE_INSTITUTIONS（党政、机关及事业单位）：包括国内各级、各类政府机构、事业单位等（如：公安、党团、司法、交通、旅游、工商税务、市政、医疗、教育、学校等机构）；\nSUBJECT_TYPE_OTHERS（其他组织）：不属于企业、政府/事业单位的组织机构（如社会团体、民办非企业、基金会），要求机构已办理组织机构代码证。",
                    "type": "string"
                },
                "ubo_infos": {
                    "description": "受益人身份信息，若法人不是最终受益人，该字段必填\n若经营者/法人不是最终受益所有人，则需提填写受益所有人信息。\n根据国家相关法律法规，需要提供公司受益所有人信息，受益所有人需符合至少以下条件之一：\n1、直接或者间接拥有超过25%公司股权或者表决权的自然人。\n2、通过人事、财务等其他方式对公司进行控制的自然人。\n3、公司的高级管理人员，包括公司的经理、副经理、财务负责人、上市公司董事会秘书和公司章程规定的其他人员。",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyWxIdDocInfo"
                    }
                }
            }
        },
        "v1.DealItem": {
            "type": "object",
            "properties": {
                "date_timestamp": {
                    "type": "integer"
                },
                "deal_amount": {
                    "description": "成交额",
                    "type": "integer"
                },
                "deal_count": {
                    "description": "成交量",
                    "type": "integer"
                }
            }
        },
        "v1.GardenItem": {
            "type": "object",
            "properties": {
                "appendix": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "area": {
                    "description": "区",
                    "type": "string"
                },
                "area_code": {
                    "type": "string"
                },
                "area_percent": {
                    "description": "容积率",
                    "type": "number"
                },
                "avg_price": {
                    "type": "integer"
                },
                "building_area": {
                    "description": "建筑面积",
                    "type": "number"
                },
                "building_company": {
                    "description": "开发企业",
                    "type": "string"
                },
                "building_end": {
                    "description": "建成年份结束时间戳",
                    "type": "integer"
                },
                "building_start": {
                    "description": "建成年份开始时间戳",
                    "type": "integer"
                },
                "building_type": {
                    "description": "1塔楼 2 板楼 3 塔板结合 4 其他",
                    "type": "integer"
                },
                "cid": {
                    "description": "物业公司id",
                    "type": "integer"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "city_code": {
                    "type": "string"
                },
                "committee": {
                    "description": "社区",
                    "type": "string"
                },
                "committee_code": {
                    "type": "string"
                },
                "covered_area": {
                    "description": "占地面积",
                    "type": "number"
                },
                "electric_type": {
                    "description": "电费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "feedback": {
                    "type": "string"
                },
                "garden_addr": {
                    "description": "小区地址",
                    "type": "string"
                },
                "garden_desc": {
                    "type": "string"
                },
                "garden_name": {
                    "description": "小区名字",
                    "type": "string"
                },
                "garden_pic": {
                    "type": "string"
                },
                "garden_pics": {
                    "description": "小区图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "gas_fee_end": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "gas_fee_start": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "green_percent": {
                    "description": "绿化率",
                    "type": "number"
                },
                "house_total": {
                    "description": "总户数",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "in_use": {
                    "type": "boolean"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "lnt": {
                    "description": "经度",
                    "type": "number"
                },
                "property_fee_end": {
                    "description": "物业费结束， 单位分",
                    "type": "integer"
                },
                "property_fee_start": {
                    "description": "物业费开始，单位分",
                    "type": "integer"
                },
                "property_person": {
                    "description": "物业联系人",
                    "type": "string"
                },
                "property_phone": {
                    "description": "物业联系人手机号",
                    "type": "string"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                },
                "space_info": {
                    "description": "车位配比",
                    "type": "string"
                },
                "space_total": {
                    "description": "固定车位数",
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "street": {
                    "description": "街道",
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                },
                "water_type": {
                    "description": "水费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "v1.GardenKeyInfoChangeBody": {
            "type": "object",
            "properties": {
                "area": {
                    "description": "区",
                    "type": "string"
                },
                "area_code": {
                    "type": "string"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "city_code": {
                    "type": "string"
                },
                "committee": {
                    "description": "社区",
                    "type": "string"
                },
                "committee_code": {
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "description": "小区名字",
                    "type": "string"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                },
                "street": {
                    "description": "街道",
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                }
            }
        },
        "v1.GardenKeyInfoChangeListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenKeyInfoData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenKeyInfoChangeListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenKeyInfoChangeListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenKeyInfoChangeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenKeyInfoData": {
            "type": "object",
            "properties": {
                "cid": {
                    "type": "integer"
                },
                "feedback": {
                    "type": "string"
                },
                "garden_detail": {
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenKeyInfoItem"
                    }
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenKeyInfoItem": {
            "type": "object",
            "properties": {
                "field_name": {
                    "type": "string"
                },
                "field_value_dst": {
                    "type": "string"
                },
                "field_value_src": {
                    "type": "string"
                }
            }
        },
        "v1.GardenListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenSetMchBody": {
            "type": "object",
            "properties": {
                "garden_id": {
                    "type": "integer"
                },
                "mch_id": {
                    "type": "string"
                }
            }
        },
        "v1.GardenSetMchPayModeBody": {
            "type": "object",
            "properties": {
                "garden_id": {
                    "type": "integer"
                },
                "pay_mode": {
                    "description": "1 不支持线上支付 2 支付到物业公司账户 3 支付到软件提供商账户",
                    "type": "integer"
                }
            }
        },
        "v1.GardenSetMchPayModeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenSetMchResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GetVcodeReply": {
            "type": "object",
            "properties": {
                "vcode": {
                    "type": "integer"
                }
            }
        },
        "v1.GetVcodeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GetVcodeReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LoginBody": {
            "type": "object",
            "properties": {
                "password": {
                    "type": "string"
                },
                "user": {
                    "type": "string"
                }
            }
        },
        "v1.LoginByPhoneBody": {
            "type": "object",
            "properties": {
                "phone": {
                    "type": "string"
                },
                "vcode": {
                    "description": "短信验证码",
                    "type": "integer"
                }
            }
        },
        "v1.LoginByPhoneResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LoginData": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "user": {
                    "type": "string"
                }
            }
        },
        "v1.LoginResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageItem": {
            "type": "object",
            "properties": {
                "application_names": {
                    "description": "应用名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "desc": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "house_count": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "description": "单价",
                    "type": "integer"
                }
            }
        },
        "v1.PackageListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.PackageItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.PackageListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageOrderAddBody": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "单价*周期得出的总价",
                    "type": "integer"
                },
                "package_id": {
                    "type": "integer"
                },
                "period": {
                    "description": "周期年",
                    "type": "integer"
                }
            }
        },
        "v1.PackageOrderAddRenewBody": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "package_id": {
                    "type": "integer"
                },
                "period": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageOrderAddRenewResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.PackageOrderAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageOrderAddReply": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "订单金额",
                    "type": "integer"
                },
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_name": {
                    "description": "开户行",
                    "type": "string"
                },
                "bank_user_name": {
                    "description": "户名",
                    "type": "string"
                },
                "garden_count": {
                    "type": "integer"
                },
                "order_id": {
                    "type": "integer"
                },
                "package_name": {
                    "type": "string"
                },
                "pay_type": {
                    "description": "支付方式 1 对公转账",
                    "type": "integer"
                },
                "period": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageOrderAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.PackageOrderAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProvinceCityAreaReply": {
            "type": "object",
            "properties": {
                "area_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AreaData"
                    }
                },
                "city_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CityData"
                    }
                },
                "province_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProvinceData"
                    }
                }
            }
        },
        "v1.ProvinceCityAreaResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProvinceCityAreaReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProvinceData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.RegisterReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ResetPasswordBody": {
            "type": "object",
            "properties": {
                "password": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "vcode": {
                    "description": "短信验证码",
                    "type": "integer"
                }
            }
        },
        "v1.ResetPasswordResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StreetCommitteeReply": {
            "type": "object",
            "properties": {
                "committee_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CommitteeData"
                    }
                },
                "street_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StreetData"
                    }
                }
            }
        },
        "v1.StreetCommitteeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.StreetCommitteeReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StreetData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.TemplateData": {
            "type": "object",
            "properties": {
                "url": {
                    "type": "string"
                }
            }
        },
        "v1.TemplateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TemplateData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TokenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                },
                "refresh_token": {
                    "type": "string"
                }
            }
        },
        "v1.UploadResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UploadWxData": {
            "type": "object",
            "properties": {
                "mediaId": {
                    "type": "string"
                },
                "url": {
                    "type": "string"
                }
            }
        },
        "v1.UploadWxResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.UploadWxData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.1",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{},
	Title:       "Project property-company-gateway's APIs",
	Description: "This is a gateway server. On the page, you can go to do testing for every API.",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
