package v1

import (
	"property-company-gateway/param/base"
	v1 "property-company-gateway/pb/v1"
)

// 套餐订单相关

type CompanyPackageListQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Status   int32 `form:"status" json:"status"`
}

type CompanyPackageListRequest struct {
	base.Header
	CompanyPackageListQuery
}

type CompanyPackageListResponse struct {
	base.Result
	Data v1.CompanyPackageListReply `json:"data"`
}

type PackageOrderAddBody struct {
	PackageId int64 `form:"package_id" json:"package_id"`
	// 单价*周期得出的总价
	Amount int64 `form:"amount" json:"amount"`
	// 周期年
	Period int64 `form:"period" json:"period"`
}

type PackageOrderAddRequest struct {
	base.Header
	PackageOrderAddBody
}

type PackageOrderAddResponse struct {
	base.Result
	Data v1.PackageOrderAddReply `json:"data"`
}

type PackageOrderAddRenewBody struct {
	GardenId  int64 `form:"garden_id" json:"garden_id"`
	PackageId int64 `form:"package_id" json:"package_id"`
	Amount    int64 `form:"amount" json:"amount"`
	Period    int64 `form:"period" json:"period"`
}

type PackageOrderAddRenewRequest struct {
	base.Header
	PackageOrderAddRenewBody
}

type PackageOrderAddRenewResponse struct {
	base.Result
	Data v1.PackageOrderAddReply `json:"data"`
}
