package v1

import (
	"property-company-gateway/param/base"
	"property-company-gateway/pb/v1"
)

type SystemUserAddBody struct {
	UserName             string   `form:"user_name" json:"user_name"`
	Password             string   `form:"password" json:"password"`
	Email                string   `form:"email" json:"email"`
	Phone                string   `form:"phone" json:"phone"`
	Enable               bool     `form:"enable" json:"enable"`
	GardenId             int64    `form:"garden_id" json:"garden_id"`
	GardenName           string   `form:"garden_name" json:"garden_name"`
}

type SystemUserAddRequest struct {
	base.Header
	SystemUserAddBody
}

type SystemUserAddResponse struct {
	base.Result
	Data v1.UserAddReply `json:"data"`
}

type SystemUserUpdateBody struct {
	UserName             string   `form:"user_name" json:"user_name"`
	Password             string   `form:"password" json:"password"`
	Email                string   `form:"email" json:"email"`
	Phone                string   `form:"phone" json:"phone"`
	Enable               bool     `form:"enable" json:"enable"`
	GardenId             int64    `form:"garden_id" json:"garden_id"`
	GardenName           string   `form:"garden_name" json:"garden_name"`
	Id int64 `form:"id" json:"id"`
}

type SystemUserUpdateRequest struct {
	base.Header
	SystemUserUpdateBody
}

type SystemUserUpdateResponse struct {
	base.Result
}

type SystemUserListQuery struct {
	Page int64 `form:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
	GardenName string `form:"garden_name" json:"garden_name"`
	UserName string `form:"user_name" json:"user_name"`
}

type SystemUserListRequest struct {
	base.Header
	SystemUserListQuery
}

type SystemUserListResponse struct {
	base.Result
	Data v1.UserListReply `json:"data"`
}

type SystemUserDelQuery struct {
	Id int64 `form:"id"`
}

type SystemUserDelRequest struct {
	base.Header
	SystemUserDelQuery
}

type SystemUserDelResponse struct {
	base.Result
}


type GardenSetMchBody struct {
	MchId                string   `form:"mch_id" json:"mch_id"`
	GardenId             int64    `form:"garden_id" json:"garden_id"`
}

type GardenSetMchRequest struct {
	base.Header
	GardenSetMchBody
}

type GardenSetMchResponse struct {
	base.Result
}

type GardenSetMchPayModeBody struct {
	GardenId             int64    `form:"garden_id" json:"garden_id"`
	// 1 不支持线上支付 2 支付到物业公司账户 3 支付到软件提供商账户
	PayMode              int32    `form:"pay_mode" json:"pay_mode"`

}


type GardenSetMchPayModeRequest struct {
	base.Header
	GardenSetMchPayModeBody
}

type GardenSetMchPayModeResponse struct {
	base.Result
}

type CompanyMchGardenListQuery struct {
	MchId string `form:"mch_id" json:"mch_id"`
}

type CompanyMchGardenListRequest struct {
	base.Header
	CompanyMchGardenListQuery
}

type CompanyMchGardenListResponse struct {
	base.Result
	Data v1.CompanyMchGardenListReply `json:"data"`
}


